/*
See LICENSE folder for this sample’s licensing information.

Abstract:
Implements the app delegate for the meme generator.
*/

import Cocoa

@NSApplicationMain
class AppDelegate: NSObject, NSApplicationDelegate {

    @IBOutlet weak var window: NSWindow!
    @IBOutlet weak var statusToolbarItem: NSToolbarItem!
    
    func applicationDidFinishLaunching(_ notification: Notification) {
        let imageCanvasController = ImageCanvasController()
        window.contentViewController = imageCanvasController
        window.titleVisibility = .hidden
        window.makeKeyAndOrderFront(nil)
        statusToolbarItem.view = imageCanvasController.imageLabel
    }

}
